/*
Theme Name: Blocksy Child
Theme URI: https://creativethemes.com/blocksy/
Template: blocksy
Author: CreativeThemes
Author URI: https://creativethemes.com
Description: Blocksy is a fast, modern WordPress theme with advanced WooCommerce support and full compatibility with the block editor.
Tags: accessibility-ready,blog,block-patterns,e-commerce,wide-blocks,block-styles,grid-layout,one-column,two-columns,three-columns,four-columns,right-sidebar,left-sidebar,translation-ready,custom-colors,custom-logo,custom-menu,featured-images,footer-widgets,full-width-template,theme-options,threaded-comments
Version: 2.1.34.1772864033
Updated: 2026-03-07 06:13:53

*/
/* 彻底隐藏更新购物车按钮 */
button[name="update_cart"], 
input[name="update_cart"] {
    display: none !important;
}
// 点击“加入购物车”后自动重定向到购物车页面
add_filter( 'woocommerce_add_to_cart_redirect', 'custom_redirect_to_cart_after_add' );
function custom_redirect_to_cart_after_add() {
    return wc_get_cart_url();
}

// 购物车页面修改数量后自动更新总价
add_action( 'wp_footer', 'auto_update_cart_qty_ajax' );
function auto_update_cart_qty_ajax() {
    if (is_cart()) :
        ?>
        <script>
            jQuery( function( $ ) {
                let timeout;
                $('.woocommerce').on('change', 'input.qty', function(){
                    if ( timeout !== undefined ) {
                        clearTimeout( timeout );
                    }
                    timeout = setTimeout(function() {
                        $("[name='update_cart']").trigger("click");
                    }, 500 ); // 延迟0.5秒执行，防止用户连续疯狂点击加减号导致卡顿
                });
            } );
        </script>
        <?php
    endif;
}


